using System;
using System.Collections.Generic;
using BeWo.Service.Core;
using BeWo.Service.Plugins;
using BS.Shared.Core;
using BS.Shared.DataContracts;
using Utils = BS.Shared.Core.Utils;

namespace SkmRheydt.Export
{
    public class SkmDataExporter : DataExporter
    {
        public override string CreateExportString(string pFileID, string[] pHeaderCaption, string[][] pContent)
        {

            if (pHeaderCaption != null && pHeaderCaption.Length > 0 && pHeaderCaption[0].Contains("Diamant"))
            {
                return SkmDiamantExporter.CreateExportString(pHeaderCaption, pContent);
            }
            return base.CreateExportString(pFileID, pHeaderCaption, pContent);

        }

    }
}
